"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const commander = require("commander");
const loader_1 = require("../commands/loader");
const boot = () => {
    const program = commander
        .version(require("../../package.json").version || "0.1", '-v --version', 'Show Current Version')
        .helpOption('-h --help', 'Show Help Menu');
    loader_1.default.load(program);
    commander.parse(process.argv);
};
exports.default = boot();
