"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chalk = require("chalk");
const new_action_1 = require("../actions/new.action");
const command_new_1 = require("./command-new");
class CommandLoader {
    static load(program) {
        new command_new_1.NewCommand(new new_action_1.NewAction()).load(program);
        this.invalidCommand(program);
    }
    static invalidCommand(program) {
        program.on('command:*', () => {
            console.error(`\n Invalid command: ${chalk.red('%s')}`, program.args.join(' '));
            console.log(`Print ${chalk.red('--help')} For Get Help.\n`);
            process.exit(1);
        });
    }
}
exports.default = CommandLoader;
